package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiHazIden;

/**
 * 危险源辨识表 服务层
 */
public interface ITBusiHazIdenService {

    /**
     * 查询危险源辨识表信息
     * @param guid 查询条件
     * @return 危险源辨识表信息
     */
    TBusiHazIden selectTBusiHazIdenByGuid(String guid);

    /**
     * 查询危险源辨识表列表
     * @param tBusiHazIden 危险源辨识表查询条件
     * @return 危险源辨识表集合
     */
    List<TBusiHazIden> selectTBusiHazIdenList(TBusiHazIden tBusiHazIden);

    /**
     * 新增危险源辨识表
     * @param tBusiHazIden 危险源辨识表信息
     * @return 影响行数
     */
    int insertTBusiHazIden(TBusiHazIden tBusiHazIden);

    /**
     * 修改危险源辨识表
     * @param tBusiHazIden 危险源辨识表信息
     * @return 影响行数
     */
    int updateTBusiHazIden(TBusiHazIden tBusiHazIden);

    /**
     * 删除危险源辨识表
     * @param guid 危险源辨识表主键
     * @return 影响行数
     */
    int deleteTBusiHazIdenByGuid(String guid);

    /**
     * 批量删除危险源辨识表
     * @param guids 危险源辨识表主键数组
     * @return 影响行数
     */
    int deleteTBusiHazIdenByGuids(String[] guids);
}
